﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent MSO6052A: (1 year) VER IEEE /9500+1Hd
DATE:                  2011-02-09 08:04:01
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       276
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
# 
#  Model(s) Covered:
#        MSO6052A
# 
#  Compatibility:
#        MET/CAL 7.3 or later
# 
#  Source(s):
#        Agilent 6000 Series Oscilloscopes Service Guide,
#          Part No. 54684-97029, August 2008
#        Agilent Technologies InfiniiVision 6000 Series
#          Oscilloscopes Data Sheet,
#          Part No. 5989-2000EN, October 1, 2009
# 
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Self Test SCPI No Connection
#        Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500
#        Sub AT MSO6xxx Logic Threshold Decoder
#        Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
#        Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
#        Sub AT MSO/DSO60x2 (1 yr) Ext Trig 2Ch IEEE /9500
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#        Sub AT MSO/DSO6xxx Check Date Code
#        Sub AT MSO/DSO6xxx Check Firmware Revision
#
#  Required Files:
#        berg_strip.jpg
#
#  Additional Equipment Required:
#        Agilent 11667A Power Splitter (for external trigger tests)
#        Berg Strip, 8-by-2, fabricated
#
# The procedure was tested using:
#        Model Number     : MSO6034A (simulating MSO6052A)
#        Serial number    : MY50510159
#        Firmware Revision: 06.15.0001
#
# Average run time during testing:
#        3½ min. (Digital Threshold Accuracy tests)
#         6 min. (TAR mode)
#        14 min. (MU mode)
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  9500         500MH                        100mVpp        LS    S  L
  1.004  ENDIF

  1.005  IF           NOT(VERSIONCHECK("7.3"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright

  1.009  HEAD         PRELIMINARY INSTRUCTIONS
  1.010  DISP         Ensure a minimum UUT warm-up time of at least
  1.010  DISP         30 minutes has been allowed to elapse, prior
  1.010  DISP         to beginning verification.

  1.011  CALL         Sub UUT Connection GPIB

  1.012  HEAD         UUT IDENTIFICATION
  1.013  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.014  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.015  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.016  MATH         @UUT_Model         = "MSO6052A"
  1.017  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.018  IF           @Abort
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub AT MSO/DSO6xxx Check Date Code

# Reset statement for UUT, clearing UUT status register.
  1.022  RESET        *CLS

  1.023  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.024  CALL         Sub Select Failed Test Mode
  1.025  CALL         Sub Select Verification Method

  1.026  HEAD         EQUIPMENT REQUIRED
  1.027  DISP         The following additional equipment is required to
  1.027  DISP         facilitate the verification:
  1.027  DISP
  1.027  DISP         - Power Splitter, 50 Ohm, Agilent 11667A or equivalent
  1.027  DISP         - Berg Strip, 8-by-2, fabricated

  1.028  CALL         Sub Self Test SCPI No Connection

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

# Set Bandwidth and Number of Channels.
  1.032  MATH         @Bandwidth = 500E+6; @NumChan = 2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Agilent MSO6052A
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   THRESHOLD ACCURACY TEST  (Pod 1)   THRESHOLD ACCURACY TEST  (Pod 1)
#    3.   THRESHOLD ACCURACY TEST  (Pod 2)   THRESHOLD ACCURACY TEST  (Pod 2)
#    4.   VOLTAGE MEASUREMENT ACCY (Chan 1)  VOLTAGE MEASUREMENT ACCY (Chan 1)
#    5.   VOLTAGE MEASUREMENT ACCY (Chan 2)  BANDWIDTH                (Chan 1)
#    6.   BANDWIDTH                (Chan 1)  TIME SCALE ACCURACY
#    7.   BANDWIDTH                (Chan 2)  HORIZONTAL DELAY TIME ACCURACY
#    8.   TIME SCALE ACCURACY                TRIGGER SENS   (Internal, Chan 1)
#    9.   HORIZONTAL DELAY TIME ACCURACY     VOLTAGE MEASUREMENT ACCY (Chan 2)
#   10.   TRIGGER SENS   (Internal, Chan 1)  BANDWIDTH                (Chan 2)
#   11.   TRIGGER SENS   (Internal, Chan 2)  TRIGGER SENS   (Internal, Chan 2)
#   12.   TRIGGER SENS   (External)          TRIGGER SENS   (External)

  1.033  HEAD         INSTRUMENT CONNECTIONS
  1.034  PIC          berg_strip.jpg
  1.035  DISP         Connect the 9500 CH1 ACTIVE HEAD to the fabricated
  1.035  DISP         logic test fixture.
  1.035  DISP
  1.035  DISP         Connect the UUT digital channels D7-D0 (Pod 1) to
  1.035  DISP         the fabricated logic test fixture.
  1.035  DISP
  1.035  DISP         IMPORTANT: Keep test fixture away from any source of
  1.035  DISP         electrical noise.

  1.036  DISP         The next routine operator intervention occurs
  1.036  DISP         in approximately 2 minutes...

  1.037  MATH         @Pod = 1
  1.038  CALL         Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500

  1.039  HEAD         INSTRUMENT CONNECTIONS
  1.040  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.041  DISP         Connect the 9500 CH1 ACTIVE HEAD to the fabricated
  1.041  DISP         logic test fixture.
  1.041  DISP
  1.041  DISP         Connect the UUT digital channels D15-D8 (Pod 2) to
  1.041  DISP         the fabricated logic test fixture.
  1.041  DISP
  1.041  DISP         IMPORTANT: Keep test fixture away from any source of
  1.041  DISP         electrical noise.

  1.042  DISP         The next routine operator intervention occurs
  1.042  DISP         in approximately 2 minutes...

  1.043  MATH         @Pod = 2
  1.044  CALL         Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500

  1.045  HEAD         INSTRUMENT CONNECTIONS
  1.046  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.047  DISP         Make the following connections:
  1.047  DISP
  1.047  DISP         [32]       9500          to      UUT
  1.047  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1 (X)

  1.048  IF           ZCMPI(@MeasMode, "TAR")
  1.049  DISP         The next routine operator intervention occurs
  1.049  DISP         in approximately 2½ minutes.
  1.050  ELSE
  1.051  DISP         The next routine operator intervention occurs
  1.051  DISP         in approximately 7½ minutes.
  1.052  ENDIF

  1.053  MATH         @Chan = 1
  1.054  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
  1.055  JMPL         CH1_BANDWIDTH

  1.056  LABEL        CH2_DCV_GAIN
  1.057  HEAD         INSTRUMENT CONNECTIONS
  1.058  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.059  DISP         Make the following connections:
  1.059  DISP
  1.059  DISP         [32]       9500          to      UUT
  1.059  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 2 (Y)

  1.060  IF           ZCMPI(@MeasMode, "TAR")
  1.061  DISP         The next routine operator intervention occurs
  1.061  DISP         in approximately 1½ minutes.
  1.062  ELSE
  1.063  DISP         The next routine operator intervention occurs
  1.063  DISP         in approximately 5½ minutes.
  1.064  ENDIF

  1.065  MATH         @Chan = 2
  1.066  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
  1.067  JMPL         CH2_BANDWIDTH

  1.068  LABEL        CH1_BANDWIDTH
  1.069  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
  1.070  JMPL         HORIZ_DELTA_T_ACCY

  1.071  LABEL        CH2_BANDWIDTH
  1.072  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
  1.073  JMPL         CH2_TRIG

  1.074  LABEL        HORIZ_DELTA_T_ACCY

  1.075  IF           @MfgYear >= 8
  1.076  CALL         Sub AT MSO/DSO60xx (1 yr) Time Scale IEEE /9500
  1.077  ENDIF

  1.078  CALL         Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
  1.079  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
  1.080  JMPL         CH2_DCV_GAIN

  1.081  LABEL        CH2_TRIG
  1.082  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500

  1.083  HEAD         INSTRUMENT CONNECTIONS
  1.084  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.085  DISP         Connect the 9500 CH1 ACTIVE HEAD to the Power Splitter
  1.085  DISP         input, using any necessary adapters.
  1.085  DISP
  1.085  DISP         Connect one output port of the Power Splitter
  1.085  DISP         to the UUT Ch. 1 (X) input.
  1.085  DISP
  1.085  DISP         Connect the other output port of the Power Splitter
  1.085  DISP         to the UUT EXT TRIGGER (Z) input.

  1.086  MATH         @Chan = 1
  1.087  CALL         Sub AT MSO/DSO60x2 (1 yr) Ext Trig 2Ch IEEE /9500

  1.088  RSLT         =
  1.089  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.090  END
